fcft_set_scaling_filter(3)

NAME

fcft_set_scaling_filter - configures the filter to use when downscaling bitmap fonts

SYNOPSIS

#include <fcft/fcft.h>

bool fcft_set_scaling_filter(enum fcft_scaling_filter filter);

DESCRIPTION

fcft_set_scaling_filter() configures the filter the use when downscaling bitmap fonts (typically emoji fonts). The setting affects all font instances.

This function does not clear the glyph caches and should therefore be called before any calls to fcft_codepoint_rasterize().

Possible values for filter are:

    • FCFT_SCALING_FILTER_NONE
    • FCFT_SCALING_FILTER_NEAREST
    • FCFT_SCALING_FILTER_BILINEAR
    • FCFT_SCALING_FILTER_CUBIC
    • FCFT_SCALING_FILTER_LANCZOS3

FCFT_SCALING_FILTER_NONE disables filtering.

FCFT_SCALING_FILTER_NEAREST and FCFT_SCALING_FILTER_BILINEAR are traditional filters, with nearest being the fastest.

FCFT_SCALING_FILTER_CUBIC and FCFT_SCALING_FILTER_LANCZOS3 are both examples of separable convolution filters. Cubic is faster than lanczos3, but with slightly worse result. However, both produce much better looking glyphs than nearest.

If this function is not called, fcft defaults to FCFT_SCALING_FILTER_CUBIC.

RETURN VALUE

On success, fcft_set_scaling_filter() returns true. On error, false is returned.

EXAMPLE

See fcft_from_name()